<?php
/**
 * All settings related to popular block post.
 *
 * @package BlogSky
 */

 $wp_customize->add_section(
	'featured_block',
	array(
		'title' => esc_html__( 'Featured Block Section', 'blogsky' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

 $wp_customize->add_setting(
  'blogsky_options[enable_featured_block]',
  array(
      'default'           => $blogsky_default['enable_featured_block'],
      'sanitize_callback' => 'blogsky_sanitize_checkbox',
  )
);
$wp_customize->add_control(
  'blogsky_options[enable_featured_block]',
  array(
      'label'       => esc_html__( 'Enable Featured Block', 'blogsky' ),
      'section'     => 'featured_block',
      'type'        => 'checkbox',
  )
);


$wp_customize->add_setting(
    'blogsky_options[featured_block_post_title]',
    array(
        'default'           => $blogsky_default['featured_block_post_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogsky_options[featured_block_post_title]',
    array(
        'label'    => __( 'Section Title', 'blogsky' ),
        'section'  => 'featured_block',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'blogsky_options[featured_block_post_sub_title]',
    array(
        'default'           => $blogsky_default['featured_block_post_sub_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogsky_options[featured_block_post_sub_title]',
    array(
        'label'    => __( 'Section Sub-Title', 'blogsky' ),
        'section'  => 'featured_block',
        'type'     => 'text',
    )
);


$wp_customize->add_setting(
    'blogsky_options[featured_block_category]',
    array(
        'default'           => $blogsky_default['featured_block_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new BlogSky_Dropdown_Taxonomies_Control(
        $wp_customize,
        'blogsky_options[featured_block_category]',
        array(
            'label'           => __( 'Choose Category', 'blogsky' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'blogsky' ),
            'section'         => 'featured_block',
        )
    )
);


$wp_customize->add_setting(
  'blogsky_options[enable_featured_block_category_meta]',
  array(
      'default' => $blogsky_default['enable_featured_block_category_meta'],
      'sanitize_callback' => 'blogsky_sanitize_checkbox',
  )
);
$wp_customize->add_control(
  'blogsky_options[enable_featured_block_category_meta]',
  array(
      'label' => esc_html__('Enable Category Meta', 'blogsky'),
      'section' => 'featured_block',
      'type' => 'checkbox',
  )
);

$wp_customize->add_setting(
  'blogsky_options[featured_block_category_label]',
  array(
      'default' => $blogsky_default['featured_block_category_label'],
      'sanitize_callback' => 'sanitize_text_field',
  )
);
$wp_customize->add_control(
  'blogsky_options[featured_block_category_label]',
  array(
      'label' => __('Category Label', 'blogsky'),
      'section' => 'featured_block',
      'type' => 'text',
  )
);

$wp_customize->add_setting(
  'blogsky_options[select_featured_block_category_color]',
  array(
      'default' => $blogsky_default['select_featured_block_category_color'],
      'sanitize_callback' => 'blogsky_sanitize_select',
  )
);
$wp_customize->add_control(
  'blogsky_options[select_featured_block_category_color]',
  array(
      'label' => esc_html__('Select Category Color', 'blogsky'),
      'section' => 'featured_block',
      'type' => 'select',
      'choices' => blogsky_category_color(),
  )
);

$wp_customize->add_setting(
  'blogsky_options[select_featured_block_number_of_category]',
  array(
      'default' => $blogsky_default['select_featured_block_number_of_category'],
      'sanitize_callback' => 'absint',
  )
);
$wp_customize->add_control(
  'blogsky_options[select_featured_block_number_of_category]',
  array(
      'label' => __('Number of Category', 'blogsky'),
      'section' => 'featured_block',
      'type' => 'number',
  )
);

$wp_customize->add_setting(
  'blogsky_options[enable_featured_block_author_meta]',
  array(
      'default' => $blogsky_default['enable_featured_block_author_meta'],
      'sanitize_callback' => 'blogsky_sanitize_checkbox',
  )
);
$wp_customize->add_control(
  'blogsky_options[enable_featured_block_author_meta]',
  array(
      'label' => esc_html__('Display Author Meta', 'blogsky'),
      'section' => 'featured_block',
      'type' => 'checkbox',
  )
);
$wp_customize->add_setting(
  'blogsky_options[select_featured_block_author_meta]',
  array(
      'default' => $blogsky_default['select_featured_block_author_meta'],
      'sanitize_callback' => 'blogsky_sanitize_select',
  )
);
$wp_customize->add_control(
  'blogsky_options[select_featured_block_author_meta]',
  array(
      'label' => esc_html__('Select Author Meta', 'blogsky'),
      'section' => 'featured_block',
      'type' => 'select',
      'choices' => blogsky_author_meta(),
  )
);
$wp_customize->add_setting(
  'blogsky_options[featured_block_author_meta_title]',
  array(
      'default' => $blogsky_default['featured_block_author_meta_title'],
      'sanitize_callback' => 'sanitize_text_field',
  )
);
$wp_customize->add_control(
  'blogsky_options[featured_block_author_meta_title]',
  array(
      'label' => __('Author Meta Text', 'blogsky'),
      'section' => 'featured_block',
      'type' => 'text',
  )
);
$wp_customize->add_setting(
  'blogsky_options[enable_featured_block_date_meta]',
  array(
      'default' => $blogsky_default['enable_featured_block_date_meta'],
      'sanitize_callback' => 'blogsky_sanitize_checkbox',
  )
);
$wp_customize->add_control(
  'blogsky_options[enable_featured_block_date_meta]',
  array(
      'label' => esc_html__('Display Published Date', 'blogsky'),
      'section' => 'featured_block',
      'type' => 'checkbox',
  )
);
$wp_customize->add_setting(
  'blogsky_options[select_featured_block_date]',
  array(
      'default' => $blogsky_default['select_featured_block_date'],
      'sanitize_callback' => 'blogsky_sanitize_select',
  )
);
$wp_customize->add_control(
  'blogsky_options[select_featured_block_date]',
  array(
      'label' => esc_html__('Select Single Date Meta', 'blogsky'),
      'section' => 'featured_block',
      'type' => 'select',
      'choices' => blogsky_date_meta(),
  )
);
$wp_customize->add_setting(
  'blogsky_options[select_featured_block_date_meta_title]',
  array(
      'default' => $blogsky_default['select_featured_block_date_meta_title'],
      'sanitize_callback' => 'sanitize_text_field',
  )
);
$wp_customize->add_control(
  'blogsky_options[select_featured_block_date_meta_title]',
  array(
      'label' => __('Date Text', 'blogsky'),
      'section' => 'featured_block',
      'type' => 'text',
  )
);
$wp_customize->add_setting(
  'blogsky_options[select_featured_block_date_format]',
  array(
      'default' => $blogsky_default['select_featured_block_date_format'],
      'sanitize_callback' => 'blogsky_sanitize_select',
  )
);
$wp_customize->add_control(
  'blogsky_options[select_featured_block_date_format]',
  array(
      'label' => esc_html__('Select Date Format', 'blogsky'),
      'section' => 'featured_block',
      'type' => 'select',
      'choices' => blogsky_get_date_formats(),
  )
);

$wp_customize->add_setting(
    'blogsky_options[featured_block_button_title]',
    array(
        'default'           => $blogsky_default['featured_block_button_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogsky_options[featured_block_button_title]',
    array(
        'label'    => __( 'Button Title', 'blogsky' ),
        'section'  => 'featured_block',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'blogsky_options[featured_block_button_url]',
    array(
        'default'           => $blogsky_default['featured_block_button_url'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'blogsky_options[featured_block_button_url]',
    array(
        'label'    => __( 'Button URL', 'blogsky' ),
        'section'  => 'featured_block',
        'type'     => 'text',
    )
);

